Die Inventor FAQ wird unterstützt von:

Inventor FAQ Logo
Einsteigertipps Profitipps Probleme & Abstürze Themensammlungen Newsletter & Feed Alle Artikel Blog unterstützen
Newsletter RSS Feed Google+
Wichtige Beiträge der letzten Tage

21.07.2014

Über 130 eBooks von Microsoft kostenlos

Hier könnt ihr über 130 eBooks von Microsoft herunterladen. Leider alle auf englisch, aber es wird ein sehr breites Spektrum an Themen abgedeckt.

image

http://blogs.msdn.com/b/mssmallbiz/archive/2014/07/07/largest-collection-of-free-microsoft-ebooks-ever-including-windows-8-1-windows-8-windows-7-office-2013-office-365-office-2010-sharepoint-2013-dynamics-crm-powershell-exchange-server-lync-2013-system-center-azure-cloud-sql.aspx

Beim Einfügen eines Normteils ein benutzerdefiniertes iProperty anlegen lassen, um dieses in der Teileliste zu übernehmen

Ein Gastbeitrag von meinem Kollegen Jens Schlemme – Danke Jens!

Damit Inventor beim Einfügen eines Normteils ein benutzerdefiniertes iProperty in dem Normteil anlegt, wird wie folgt vorgegangen:

Zuerst muss natürlich eine benutzerdefinierte Inhaltscenter-Bibliothek angelegt werden, da die Vorgabebibliotheken schreibgeschützt sind.

Weitere Infos dazu findet ihr hier

Nun ruft ihr über Register Verwalten den Befehl Inhaltscenter-Editor auf.

clip_image002

In diesem kopiert Ihr ein bestehendes Normteil, an dem die Änderung vorgenommen werden soll in die benutzerdefinierte Bibliothek.

clip_image004

10.07.2014

Update 1 für Inventor 2014 Service Pack 2

Das Update 1 für Inventor 2014 mit SP2 ist verfügbar. Der Service Pack 2 muss installiert sein.

INV18210.zip (zip - 9.65Mb)

Auszug aus der Readme:

  • 1516-074: Surface component not visible in drawing view

  • 1356-879: ACAD DWG with 3D entities with units in meters will be imported into Inventor in millimeters

  • 1516-913: Drawings not updating properly with iLogic rule

  • 1517-393: Inventor hangs when updating drawing sheet

  • 1517-481: Associative 3D Sketch Arcs get sick when changing skeleton and relative associative points

  • 1517-587: Embeded images are missing in drawings export as DWF or PDF

  • 1471-794: Incorrect view displaying when Save copy as AutoCAD DWG

  • 1517-069: Inventor IDW with black sheet background will not show inverted (white) drawing view geometry

  • 1500-887: Unexpected exit with Inventor FEA Add-In

  • 1515-915: Unexpected exit when opening a file with stored VBA code or when opening the VBA editor within Inventor

  • General stability enhancements

30.06.2014

VBA: Pfad / Dateiname aus Dateipfad extrahieren

Hier ein kleiner Codeschnipsel, der zeigt, wie man aus einem Dateipfad den Pfad und den Dateinamen extrahiert.

Public Sub Dateipfad()
    Dim filesystem As Object
    Set filesystem = CreateObject("Scripting.FilesystemObject")
    Dim oDoc As Document
    Set oDoc = ThisApplication.ActiveDocument
    Pfad = filesystem.GetParentFolderName(oDoc.FullFileName) & "\"
    Dateiname = filesystem.getfilename(oDoc.FullFileName)
    MsgBox "Pfad: " & Pfad & vbCr & "Dateiname: " & Dateiname
End Sub

image

Ergebnis:

image

27.06.2014

Inventor Studio: Länge der Animation einstellen

Wie kann ich die Länge der Animation in Inventor Studio einstellen?

Animationsablaufprogramm: Icon Animationsoptionen

image

26.06.2014

VBA: Größte Fläche am Modell ermitteln

Wenn man Abwicklungen von Bauteilen exportiert, die nicht über die Blechfunktionalität erstellt wurden, dann kann es vorkommen, das die Grundfläche der Abwicklung nicht stimmt. Das Problem lässt sich umgehen, indem man die ebene Fläche mit dem größten Flächeninhalt am Modell ermittelt und diese als Basisfläche für die Abwicklung nutzt.

Hier der Code-Ausschnitt für die Ermittlung der größten Fläche:

[…]

Dim oFaces As Faces
                        Set oFaces = oPart.ComponentDefinition.SurfaceBodies(1).Faces
                        Dim groessteFlaeche As Face
                       
                        Dim Flaecheninhalt As Double
                        Flaecheninhalt = 0
                        Dim index As Long
                        index = 1
                       
                        Dim oFace As Face
                        For Each oFace In oFaces
                       
                        If (TypeOf oFace.Geometry Is Plane) Then
                        'MsgBox (oFace.Evaluator.Area)
                                If oFace.Evaluator.Area > Flaecheninhalt Then
                                    Flaecheninhalt = oFace.Evaluator.Area
                                    Set groessteFlaeche = oFace
                                End If
                        End If
                       
                        Next

Call oSheetDef.Unfold2(groessteFlaeche)

[…]

Inventor FAQ Newsletter. Emailadresse: